## labgrid 0.3.1

=== requirements.txt ===
attrs==20.2.0
jinja2==2.11.2
packaging==20.4
pexpect==4.8.0
https://github.com/labgrid-project/pyserial/archive/v3.4.0.1.zip#egg=pyserial
pytest==6.1.2
pyudev==0.22.0
requests==2.24.0
xmodem==0.4.5
autobahn==20.7.1
PyYAML==5.3.1
ansicolors==1.1.8
pyusb==1.1.0
six>=1.13.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = labgrid
SOURCEDIR     = .
BUILDDIR      = .build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== man/Makefile ===
PAGES := labgrid-client.1 labgrid-exporter.1 labgrid-device-config.1 labgrid-pytest.1
COMPRESSED := labgrid-client.1.gz labgrid-exporter.1.gz labgrid-device-config.1.gz labgrid-pytest.1.gz

%.1: %.rst
	rst2man.py $< >$@.tmp
	mv -f $@.tmp $@

%.1.gz : %.1
	gzip $<


all: $(PAGES)

compressed: $(COMPRESSED)

.PHONY: clean
clean:
	rm -f $(COMPRESSED) $(PAGES)

## labgrid 0.3.0

=== debian/changelog ===
labgrid (0.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 12:36:09 +0200

labgrid (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #979511)

 -- Bastian Germann <bastiangermann@fishpost.de>  Fri, 22 Jan 2021 18:42:08 +0100

=== debian/control ===
Source: labgrid
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bastian Germann <bastiangermann@fishpost.de>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all,
 python3-fastentrypoints, python3-setuptools-scm, python3-autobahn,
 python3-colored, python3-graphviz, python3-mock, python3-pexpect,
 python3-psutil, python3-pytest, python3-pytest-dependency, python3-pytest-mock,
 python3-pyvisa-py, python3-requests, python3-docker,
 python3-pyudev, python3-serial, python3-setuptools, python3-txaio, python3-usb,
 python3-xmodem, python3-yaml, sigrok-cli, ssh-client
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.pengutronix.de/en/software/labgrid.html
Vcs-Git: https://salsa.debian.org/python-team/packages/labgrid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/labgrid

Package: python3-labgrid
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends}, ${misc:Depends},
 python3-graphviz, python3-onewire, python3-pymodbus, python3-pysnmp4,
 python3-pysnmp4-mibs, python3-docker
Recommends: openssh-client, microcom, socat, sshfs, rsync
Description: Embedded board control library
 Labgrid is an embedded board control Python library with a focus on testing,
 development and general automation. It includes a remote control layer to
 control boards connected to other hosts.
 .
 The idea behind labgrid is to create an abstraction of the hardware control
 layer needed for testing of embedded systems, automatic software installation
 and automation during development. Labgrid itself is not a testing framework,
 but is intended to be combined with pytest (and additional pytest plugins).
 .
 This package contains the library only.

Package: labgrid
Architecture: all
Section: embedded
Depends: ${python3:Depends}, ${misc:Depends}, python3-labgrid
Description: Embedded board control programs
 Labgrid is an embedded board control Python library with a focus on testing,
 development and general automation. It includes a remote control layer to
 control boards connected to other hosts.
 .
 The idea behind labgrid is to create an abstraction of the hardware control
 layer needed for testing of embedded systems, automatic software installation
 and automation during development. Labgrid itself is not a testing framework,
 but is intended to be combined with pytest (and additional pytest plugins).
 .
 This package includes the executables and manpages.
 The central component called Coordinator is not part of the package.

## labgrid 0.3.1

=== debian/changelog ===
labgrid (0.3.1-1) unstable; urgency=high

  * Depend on now available python3-colors
  * Apply wrap-and-sort
  * New upstream version 0.3.1
  * Add missing dep for pkg_resources
  * Install all the examples

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 16 Feb 2021 06:32:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,33 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Bastian Germann <bastiangermann@fishpost.de>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all,
- python3-fastentrypoints, python3-setuptools-scm, python3-autobahn,
- python3-colored, python3-graphviz, python3-mock, python3-pexpect,
- python3-psutil, python3-pytest, python3-pytest-dependency, python3-pytest-mock,
- python3-pyvisa-py, python3-requests, python3-docker,
- python3-pyudev, python3-serial, python3-setuptools, python3-txaio, python3-usb,
- python3-xmodem, python3-yaml, sigrok-cli, ssh-client
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-python,
+ python3-all,
+ python3-autobahn,
+ python3-colors,
+ python3-docker,
+ python3-fastentrypoints,
+ python3-graphviz,
+ python3-mock,
+ python3-pexpect,
+ python3-psutil,
+ python3-pytest,
+ python3-pytest-dependency,
+ python3-pytest-mock,
+ python3-pyudev,
+ python3-pyvisa-py,
+ python3-requests,
+ python3-serial,
+ python3-setuptools,
+ python3-setuptools-scm,
+ python3-txaio,
+ python3-usb,
+ python3-xmodem,
+ python3-yaml,
+ sigrok-cli,
+ ssh-client
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.pengutronix.de/en/software/labgrid.html
@@ -19,10 +39,17 @@
 Package: python3-labgrid
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${python3:Depends}, ${misc:Depends},
- python3-graphviz, python3-onewire, python3-pymodbus, python3-pysnmp4,
- python3-pysnmp4-mibs, python3-docker
-Recommends: openssh-client, microcom, socat, sshfs, rsync
+Depends:
+ python3-docker,
+ python3-graphviz,
+ python3-onewire,
+ python3-pkg-resources,
+ python3-pymodbus,
+ python3-pysnmp4,
+ python3-pysnmp4-mibs,
+ ${misc:Depends},
+ ${python3:Depends}
+Recommends: microcom, openssh-client, rsync, socat, sshfs
 Description: Embedded board control library
  Labgrid is an embedded board control Python library with a focus on testing,
  development and general automation. It includes a remote control layer to
@@ -38,7 +65,7 @@
 Package: labgrid
 Architecture: all
 Section: embedded
-Depends: ${python3:Depends}, ${misc:Depends}, python3-labgrid
+Depends: python3-labgrid, ${misc:Depends}, ${python3:Depends}
 Description: Embedded board control programs
  Labgrid is an embedded board control Python library with a focus on testing,
  development and general automation. It includes a remote control layer to

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--ignore tests/test_autoinstall.py --ignore tests/test_crossbar.py --ignore tests/test_remote.py --ignore tests/test_fixtures.py --ignore tests/test_flags.py --ignore tests/test_stepreporter.py
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	cp man/labgrid-device-config.1 man/labgrid-device-config.5
	dh_auto_configure

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/labgrid-$1\.tar\.gz/ \
  https://github.com/labgrid-project/labgrid/tags .*/v([\d\.]+)\.tar\.gz

## labgrid 0.4.1

=== requirements.txt ===
attrs==20.2.0
jinja2==2.11.3
packaging==20.4
pexpect==4.8.0
https://github.com/labgrid-project/pyserial/archive/v3.4.0.1.zip#egg=pyserial
pytest==6.1.2
pyudev==0.22.0
requests==2.24.0
xmodem==0.4.5
autobahn==21.2.1
PyYAML==5.4
ansicolors==1.1.8
pyusb==1.1.0
six>=1.13.0
# Workaround for crossbar/autobahn regression with twisted>=21.2.0 (we still
# suppport python 3.6)
twisted<21.2.0

=== man/Makefile ===
PAGES := labgrid-client.1 labgrid-exporter.1 labgrid-device-config.5 labgrid-pytest.7 labgrid-suggest.1
COMPRESSED := labgrid-client.1.gz labgrid-exporter.1.gz labgrid-device-config.5.gz labgrid-pytest.7.gz labgrid-suggest.1.gz

%.1 %.5 %.7: %.rst
	rst2man.py $< >$@.tmp
	mv -f $@.tmp $@

%.gz : %
	gzip $<


all: $(PAGES)

compressed: $(COMPRESSED)

.PHONY: clean
clean:
	rm -f $(COMPRESSED) $(PAGES)

=== debian/changelog ===
labgrid (0.4.1-2) unstable; urgency=medium

  * Run tests that have unversioned python calls
  * Remove unnecessary patch
  * d/control: Add B-D jinja2
  * d/control: Remove B-D onewire

 -- Bastian Germann <bage@debian.org>  Tue, 18 Jan 2022 22:30:01 +0100

labgrid (0.4.1-1) unstable; urgency=medium

  * Fix missing-build-dependency-for-dh-addon
  * New upstream version 0.4.1

 -- Bastian Germann <bage@debian.org>  Sat, 27 Nov 2021 10:55:17 +0100

labgrid (0.4.0-2) unstable; urgency=medium

  * Set bage's debian.org email
  * d/patches: tests: catch DockerException on detection

 -- Bastian Germann <bage@debian.org>  Tue, 28 Sep 2021 02:46:13 +0200

labgrid (0.4.0-1) unstable; urgency=medium

  * Remove pymodbus dependency
  * New upstream version 0.4.0
  * Drop upstream patches

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 27 Sep 2021 19:14:50 +0200

labgrid (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4
  * Remove upstream patch
  * upstream man patches incl. labgrid-suggest

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 19 Sep 2021 18:17:14 -0700

labgrid (0.3.1-2) unstable; urgency=medium

  * Only install labgrid-suggest
  * Install labgrid-pytest man and reference it in README
  * Do not hint the remote layer in descriptions
  * Update debhelper version to v13

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 08 May 2021 02:00:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Bastian Germann <bastiangermann@fishpost.de>
+Uploaders: Bastian Germann <bage@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python3-all,
+ python-is-python3,
+ python3-all:any,
  python3-autobahn,
  python3-colors,
  python3-docker,
+ python3-docutils,
  python3-fastentrypoints,
  python3-graphviz,
+ python3-jinja2,
  python3-mock,
  python3-pexpect,
  python3-psutil,
@@ -42,9 +45,7 @@
 Depends:
  python3-docker,
  python3-graphviz,
- python3-onewire,
  python3-pkg-resources,
- python3-pymodbus,
  python3-pysnmp4,
  python3-pysnmp4-mibs,
  ${misc:Depends},
@@ -52,8 +53,7 @@
 Recommends: microcom, openssh-client, rsync, socat, sshfs
 Description: Embedded board control library
  Labgrid is an embedded board control Python library with a focus on testing,
- development and general automation. It includes a remote control layer to
- control boards connected to other hosts.
+ development and general automation.
  .
  The idea behind labgrid is to create an abstraction of the hardware control
  layer needed for testing of embedded systems, automatic software installation
@@ -65,16 +65,21 @@
 Package: labgrid
 Architecture: all
 Section: embedded
-Depends: python3-labgrid, ${misc:Depends}, ${python3:Depends}
+Depends:
+ iproute2,
+ python3-labgrid,
+ socat,
+ ${misc:Depends},
+ ${python3:Depends}
 Description: Embedded board control programs
  Labgrid is an embedded board control Python library with a focus on testing,
- development and general automation. It includes a remote control layer to
- control boards connected to other hosts.
+ development and general automation.
  .
  The idea behind labgrid is to create an abstraction of the hardware control
  layer needed for testing of embedded systems, automatic software installation
  and automation during development. Labgrid itself is not a testing framework,
  but is intended to be combined with pytest (and additional pytest plugins).
  .
- This package includes the executables and manpages.
- The central component called Coordinator is not part of the package.
+ This package includes labgrid-suggest and labgrid-bound-connect executables.
+ Most of the upstream executables are excluded from the package because they
+ depend on a newer python3-autobahn version than the one in Debian.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--ignore tests/test_fixtures.py --ignore tests/test_flags.py --ignore tests/test_stepreporter.py
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	rst2man man/labgrid-device-config.rst > man/labgrid-device-config.5
	rst2man man/labgrid-pytest.rst > man/labgrid-pytest.7
	dh_auto_configure

=== debian/tests/control ===
Test-Command: echo | python3 -m pytest -s -p labgrid --lg-env examples/barebox/local.yaml debian/tests/test_autopkg.py

## labgrid 25.0.1

=== man/Makefile ===
PAGES := labgrid-client.1 labgrid-coordinator.1 labgrid-exporter.1 labgrid-device-config.5 labgrid-pytest.7 labgrid-suggest.1
COMPRESSED := labgrid-client.1.gz labgrid-coordinator.1.gz labgrid-exporter.1.gz labgrid-device-config.5.gz labgrid-pytest.7.gz labgrid-suggest.1.gz

%.1 %.5 %.7: %.rst
	rst2man $< >$@.tmp
	mv -f $@.tmp $@

%.gz : %
	gzip $<


all: $(PAGES)

compressed: $(COMPRESSED)

.PHONY: clean
clean:
	rm -f $(COMPRESSED) $(PAGES)

=== labgrid/remote/generated/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile requirements.in
#
grpcio==1.64.1
    # via grpcio-tools
grpcio-tools==1.62.2
    # via -r requirements.in
protobuf==4.25.3
    # via grpcio-tools

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
labgrid (25.0.1-1) unstable; urgency=medium

  * New upstream Release 25.0.1 (Closes: #1108979)
  * d/control: Remove bage from Uploaders

 -- Manuel Traut <manuel.traut@mt.com>  Mon, 20 Oct 2025 16:09:56 +0200

labgrid (0.4.1-6) unstable; urgency=medium

  * Revert "d/control: Remove B-D onewire"

 -- Bastian Germann <bage@debian.org>  Mon, 16 Jan 2023 18:34:23 +0100

labgrid (0.4.1-5) unstable; urgency=medium

  * Wrap long lines in changelog entries: 0.4.1-4.
  * Update standards version to 4.6.1, no changes needed.
  * Revert 0.4.1-3 changes.
  * Correct reason for not installed binaries.

 -- Bastian Germann <bage@debian.org>  Mon, 24 Oct 2022 01:09:43 +0200

labgrid (0.4.1-4) unstable; urgency=medium

  * Depend on python3-paho-mqtt (Closes: #1011244)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Bastian Germann <bage@debian.org>  Fri, 20 May 2022 20:06:09 +0200

labgrid (0.4.1-3) unstable; urgency=medium

  * Install formerly not-installed executables
  * Add crossbar dependency

 -- Bastian Germann <bage@debian.org>  Fri, 15 Apr 2022 10:23:15 +0200

=== debian/control ===
Source: labgrid
Section: misc
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Manuel Traut <manut@mecka.net>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 openssh-client,
 pybuild-plugin-pyproject,
 python-is-python3,
 python3-all,
 python3-attr,
 python3-colors,
 python3-docker,
 python3-docutils,
 python3-grpcio,
 python3-grpcio-reflection,
 python3-graphviz,
 python3-jinja2,
 python3-paho-mqtt,
 python3-pexpect,
 python3-psutil,
 python3-pytest,
 python3-pytest-benchmark,
 python3-pytest-dependency,
 python3-pytest-mock,
 python3-pyudev,
 python3-pyvisa-py,
 python3-requests,
 python3-serial,
 python3-setuptools,
 python3-setuptools-scm,
 python3-usb,
 python3-xmodem,
 python3-yaml,
 sigrok-cli,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://www.pengutronix.de/en/software/labgrid.html
Vcs-Git: https://salsa.debian.org/python-team/packages/labgrid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/labgrid

Package: labgrid-client
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-labgrid,
Description: Control system for software testing on bare-metal hardware (client)
 An embedded board control Python library with a focus on testing, development
 and general automation. It includes a remote control layer to control boards
 connected to other hosts.
 .
 The idea behind labgrid is to create an abstraction of the hardware control
 layer needed for testing of embedded systems, automatic software installation
 and automation during development. labgrid itself is not a testing framework,
 but is intended to be combined with pytest.
 .
 This is the client that is used to connect to exporters via a coordinator.

Package: labgrid-coordinator
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-labgrid,
Description: Control system for software testing on bare-metal hardware (coordinator)
 An embedded board control Python library with a focus on testing, development
 and general automation. It includes a remote control layer to control boards
 connected to other hosts.
 .
 The idea behind labgrid is to create an abstraction of the hardware control
 layer needed for testing of embedded systems, automatic software installation
 and automation during development. labgrid itself is not a testing framework,
 but is intended to be combined with pytest.
 .
 This is the coordinator that is used to expose exporters to a coordinator.

Package: labgrid-exporter
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-labgrid,
Description: Control system for software testing on bare-metal hardware (exporter)
 An embedded board control Python library with a focus on testing, development
 and general automation. It includes a remote control layer to control boards
 connected to other hosts.
 .
 The idea behind labgrid is to create an abstraction of the hardware control
 layer needed for testing of embedded systems, automatic software installation
 and automation during development. labgrid itself is not a testing framework,
 but is intended to be combined with pytest.
 .
 This is the exporter that is used to export resources to a coordinator.

Package: labgrid-utils
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-labgrid,
Description: Control system for software testing on bare-metal hardware (utils)
 An embedded board control Python library with a focus on testing, development
 and general automation. It includes a remote control layer to control boards
 connected to other hosts.
 .
 The idea behind labgrid is to create an abstraction of the hardware control
 layer needed for testing of embedded systems, automatic software installation
 and automation during development. labgrid itself is not a testing framework,
 but is intended to be combined with pytest.
 .
 This is a tool that suggests matches for writing exporter yaml files.

Package: python3-labgrid
Section: python
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-attr,
 python3-colors,
 python3-docker,
 python3-grpcio,
 python3-grpcio-reflection,
 python3-graphviz,
 python3-paho-mqtt,
 python3-pexpect,
 python3-psutil,
 python3-pyudev,
 python3-pyvisa-py,
 python3-requests,
 python3-serial,
 python3-usb,
 python3-xmodem,
 python3-yaml,
Recommends:
 bash-completion,
 gstreamer1.0-tools,
 libgstreamer-plugins-base1.0-0,
 microcom,
 openssh-client,
 rsync,
 sshfs,
 sigrok-cli,
 socat,
 tcpdump,
Description: Control system for software testing on bare-metal hardware (library)
 An embedded board control Python library with a focus on testing, development
 and general automation. It includes a remote control layer to control boards
 connected to other hosts.
 .
 The idea behind labgrid is to create an abstraction of the hardware control
 layer needed for testing of embedded systems, automatic software installation
 and automation during development. labgrid itself is not a testing framework,
 but is intended to be combined with pytest.
 .
 This is the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--ignore tests/test_fixtures.py \
                         --ignore tests/test_flags.py \
                         --ignore tests/test_stepreporter.py \
                         --ignore tests/test_flashscript.py \
                         --ignore tests/test_util.py \
                         --ignore tests/test_docker.py
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_configure:
	rst2man man/labgrid-device-config.rst > man/labgrid-device-config.5
	rst2man man/labgrid-pytest.rst > man/labgrid-pytest.7
	dh_auto_configure

=== debian/tests/control ===
Test-Command: echo | python3 -m pytest -s -p labgrid --lg-env examples/barebox/local.yaml debian/tests/test_autopkg.py

Test-Command: labgrid-client --help

Test-Command: labgrid-coordinator --help

Test-Command: labgrid-exporter --help

Test-Command: labgrid-suggest --help

=== debian/watch ===
version=4
https://github.com/labgrid-project/labgrid/tags .*/v?(\d.*)@ARCHIVE_EXT@
